Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 444084

Summary: sys-devel/m4-1.4.16 does hardcoded AR calls
Product: Gentoo Linux Reporter: Denis M. (Phr33d0m) <god>
Component: [OLD] Core systemAssignee: Gentoo's Team for Core System packages <base-system>
Status: RESOLVED OBSOLETE    
Severity: normal CC: mmk
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 243502    
Attachments: m4-1.4.16-ar.patch
m4-1.4.16.patch

Description Denis M. (Phr33d0m) 2012-11-20 19:04:32 UTC
$ ▶ ./blatt.sh /var/tmp/portage/logs/sys-devel\:m4-1.4.16\:20121120-130229.log 
>>> sys-devel/m4-1.4.16: ISSUES FOUND
> Hardcoded calls:
ar cru libm4.a gl_avltree_oset.o c-ctype.o c-stack.o clean-temp.o close-hook.o execute.o exitfail.o fatal-signal.o fd-safer-flag.o dup-safer-flag.o freadahead.o freading.o gl_linkedhash_list.o gl_list.o localcharset.o lock.o malloca.o memchr2.o gl_oset.o pipe2.o pipe2-safer.o printf-frexp.o printf-frexpl.o progname.o spawn-pipe.o threadlib.o tls.o tmpdir.o verror.o version-etc.o version-etc-fsf.o wait-process.o xalloc-die.o gl_xlist.o xmalloca.o gl_xoset.o xprintf.o xstrndup.o xvasprintf.o xasprintf.o asnprintf.o asprintf.o basename.o basename-lgpl.o cloexec.o close-stream.o closein.o closeout.o dirname.o dirname-lgpl.o dup-safer.o dup2.o fcntl.o fd-safer.o fflush.o filenamecat.o filenamecat-lgpl.o fopen-safer.o fpurge.o fseeko.o isnanl.o mkstemp-safer.o pipe-safer.o printf-args.o printf-parse.o quotearg.o stripslash.o strstr.o tempname.o vasnprintf.o vasprintf.o xmalloc.o


Reproducible: Always
Comment 1 Michael Mair-Keimberger (iamnr3) 2013-06-15 20:51:47 UTC
Created attachment 351040 [details, diff]
m4-1.4.16-ar.patch

This patch fixes the issue. please review.
Comment 2 Michael Mair-Keimberger (iamnr3) 2013-06-15 20:52:25 UTC
Created attachment 351042 [details, diff]
m4-1.4.16.patch

patch against latest ebuild
Comment 3 Tony Vroon gentoo-dev 2013-10-20 21:25:02 UTC
The ebuild for m4 goes to great lengths to avoid depending on autotools, but you introduce a hard dependency on it here. This would cause a circular dependency.
Comment 4 Michael Mair-Keimberger (iamnr3) 2021-07-25 08:17:18 UTC
Hi,

I think this bug can be closed. Latest version of m4 (1.4.19) doesn't call AR directly anymore.
Comment 5 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2021-07-25 17:27:40 UTC
(In reply to Michael Mair-Keimberger (iamnr3) from comment #4)
> Hi,
> 
> I think this bug can be closed. Latest version of m4 (1.4.19) doesn't call
> AR directly anymore.

Thanks!